> For the complete documentation index, see [llms.txt](https://docs.umbraco.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.umbraco.com/umbraco-commerce/add-ons/payment-providers/nets/configuring-nets.md).

# Configure Nets

Learn how to configure Nets Easy in order to implement the integration with your Umbraco Commerce installation.

## Step 1: Sign up & Sign in

If you haven't done so yet, head on over to the [Nets portal](https://portal.dibspayment.eu/registration) to register for a Nets Easy account.

![Sign up for Nets Easy on the Nets Portal.](https://961659879-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FP5oHq9zZ5dr8blWsnRJc%2Fuploads%2Fgit-blob-1c12e2409c4be803b1edd4b30209ad58f76f093c%2Fnets-easy_signup.png?alt=media)

Or [login to the portal](https://portal.dibspayment.eu/dashboard) if you already have an account.

![Login to your Nets Easy account on the Nets Portal.](https://961659879-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FP5oHq9zZ5dr8blWsnRJc%2Fuploads%2Fgit-blob-ea2b2f6c6598bec3c66d6c7615785cde9826e573%2Fnets-easy_signin.png?alt=media)

## Step 2: API Keys

In order for Umbraco Commerce to communicate with Nets securely we need to retrieve a series of API keys used for authentication.

The keys can be found under **Company > Integration** in the Nets Easy portal.

![Nets Easy Integration Keys](https://961659879-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FP5oHq9zZ5dr8blWsnRJc%2Fuploads%2Fgit-blob-769986146a9d205a69262757a2273dd5b90389dd%2Fnets-easy_integration_keys.png?alt=media)

## Step 3: Webhook

In order for Nets Easy to notify Umbraco Commerce of a successful transaction, Nets Easy makes use of webhook technology. This enables sending notifications of changing transaction statuses directly between the two platforms.

Webhooks ensure that Umbraco Commerce will always be notified of status changes, even if the customer decides not to return to the store.

Registration of webhook notifications is handled as part of the payment request using the Umbraco Commerce callback URL.

The following is an example of such a callback URL:

```
https://{store_domain}/umbraco/commerce/payment/callback/nets-easy-checkout/{payment_method_id}/
```

When using this, be sure to replace the parameters in the curly brackets with the corresponding values taken from your store.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.umbraco.com/umbraco-commerce/add-ons/payment-providers/nets/configuring-nets.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
